<p align="center">
    <img width="120" src="https://apidoc.demo.hg-code.com/images/logo.png">
</p>

<h1 align="center">
  ThinkPHP ApiDoc
</h1>

<div align="center">
基于ThinkPHP 根据注释自动生成API接口文档
</div>

<div align="center" style="margin-top:10px;margin-bottom:50px;">
<a href="https://packagist.org/packages/hg/apidoc"><img src="https://img.shields.io/packagist/v/hg/apidoc"></a>
<a href="https://packagist.org/packages/hg/apidoc"><img src="https://img.shields.io/packagist/dt/hg/apidoc"></a>
<a href="https://packagist.org/packages/hg/apidoc"><img src="https://img.shields.io/packagist/l/hg/apidoc"></a>
<a href="https://github.com/HGthecode/thinkphp-apidoc"><img src="https://img.shields.io/github/issues/HGthecode/thinkphp-apidoc"></a>
<a href="https://github.com/HGthecode/thinkphp-apidoc"><img src="https://img.shields.io/github/forks/HGthecode/thinkphp-apidoc"></a>

</div>


## 🤷‍♀️ Apidoc是什么？

如今，前后端分离的开发模式以必不可少，基于ThinkPHP你可以很方便的作为后端Api的开发。可是一个Api开发过程中需要快速调试，开发完成后需要给其它开发者对接，这时一个详细的Api文档，就显得特别重要。

大多数开发者可能都是通过各种工具配合来达到这一目的，其各种工具的安装和配置也是繁琐。甚至还有通过word等文本工具手写api文档的，这样的开发效率与可维护性是非常差的。

综合种种Api开发中的痛点，我们专为ThinkPHP开发了Apidoc的扩展插件，本插件可通过简单的注解即可生成Api文档，及帮助开发者提高生产效率的在线调试、快速生成Crud、一键生成整个模块Api等，涵盖Api开发方方面面。


## ✨特性

- 开箱即用：无繁杂的配置、安装后按文档编写注释即可自动生成API文档。
- 在线调试：在线文档可直接调试，支持设置全局参数，接口调试省时省力。
- 轻松编写：支持公共注释定义、业务逻辑层、数据表字段的引用，几句注释即可完成。
- 安全高效：访问API文档页面需密码验证；支持缓存接口数据，无需每次都生成数据。
- 多应用/多版本：可适应各种单应用、多应用、多版本的项目的Api管理。
- Markdown文档：支持.md文件的文档展示。
- 快速生成Crud：配置+模板即可快速生成Crud接口代码及数据表的创建，大大提高工作效率。
- 控制器分组：更精细化的对控制器接口进行分组展示。


## 📌兼容

ThinkPHP 6.x

> 如需在 `ThinkPHP 5.x` 版本中使用，请安装 `V1.x`版本 [V1.x版本安装说明](https://hgthecode.github.io/thinkphp-apidoc/v1/install/)


## 📖使用文档

[ThinkPHP ApiDoc V2.x文档](https://hg-code.gitee.io/thinkphp-apidoc/)

[ThinkPHP ApiDoc V1.x文档](https://hg-code.gitee.io/thinkphp-apidoc/v1/)

## 🏆支持我们

如果本项目对您有所帮助，请点个Star支持我们

- [Github](https://github.com/HGthecode/thinkphp-apidoc) -> <a href="https://github.com/HGthecode/thinkphp-apidoc" target="_blank">
  <img height="22" src="https://img.shields.io/github/stars/HGthecode/thinkphp-apidoc?style=social" class="attachment-full size-full" alt="Star me on GitHub" data-recalc-dims="1" /></a>
- [Gitee](https://gitee.com/hg-code/thinkphp-apidoc) -> <a href="https://gitee.com/hg-code/thinkphp-apidoc/stargazers"><img src="https://gitee.com/hg-code/thinkphp-apidoc/badge/star.svg" alt="star"></a>

## 💡鸣谢

[ThinkPHP](http://www.thinkphp.cn/)
<a href="http://www.thinkphp.cn/" target="_blank">ThinkPHP</a>

<a href="https://github.com/doctrine/annotations" target="_blank">doctrine/annotations</a>


## 🔗链接
 <a href="https://github.com/HGthecode/apidoc-ui" target="_blank">ApiDoc UI前端</a>
 
 <a href="https://github.com/HGthecode/thinkphp-apidoc-demo" target="_blank">ApiDoc Demo 示例项目</a>


